Log in or register to post comments

Vuforia Failed to Initialize on Android L?

June 21, 2016 - 9:21am #1

I am trying to figure out how to develop Vuforia 5.5.9 using Unity. I made a test project which works with my laptop's webcam, but when I try to put it on a phone, which is running Android 5.1.1 Lollipop, I get a grey screen which says "Vuforia Initialization Error" and "Failed to Initialize Vuforia", and at the bottom there's a "Close" button. This seems like the same error people get when they run into Android M permission issues (https://developer.vuforia.com/forum/device-support/android-m-vuforia-initializing-failed), but I don't have Android M involved anywhere in my build. I am using the Android sdk version 22 (lollipop), have minSdkVersion="19" and targetSdkVersion="22" in my manifest, and, as mentioned before, am running 5.1.1 on the phone.

How can I get more information about what's going wrong? I'm new to Vuforia and Unity development so I don't know how to get more detailed information about the failure (or if that sort of information is even available). All I know is that it's giving me the "Failed to initialize Vuforia" error, and whenever I google that error I ONLY get results about the Android M permissions bug, which can't be affecting me.

Vuforia Failed to Initialize on Android L?

May 3, 2017 - 8:49am #8

Bizarro wrote:

I've just found a solution for my particular problem: downgrade to vuforia 5.9 has solved it (after downgrade It was giving error messages from the GoogleVR plugin but just for the manifest, change the minimum sdk to 19 again and that's it). Now it works fine in PlayMode and in my smartphone. 

I hope this help somebody else!

 

Hi,

 

Same issue here :( where do I find older vuforia versions (eg 5.5/5.9)? It seems they dont have a archive.

 

Kind regards,

Tino

Vuforia Failed to Initialize on Android L?

October 3, 2016 - 4:36am #7

Encountering the same issue. Setting the device date back to September 30th actually fixes the problem(of course this is not a solution for consumer release) as does upgrading to the 117 version. However the app that I currently have live stopped working because of this problem and can't be updated right away.

Vuforia Failed to Initialize on Android L?

October 1, 2016 - 4:33am #6

Hi @vramamur ,

Even I'm getting the same error and same Screen actually.

Till yesterday the apps were working fine with Android 5 and Android 6 with multiple mobiles.

All of a sudden the app is showing that black screen. Even after completely uninstalling and building it fresh , the same is shown.

Did you get any work around this problem ???

Vuforia Failed to Initialize on Android L?

September 19, 2016 - 9:23pm #5

Bizarro wrote:

Hello,

 

I'm having the same problem here, it works fine on play mode, but anytime i try to install the apk to the device it gets "Failed to initialize Vuforia" when I load the Vuforia scene.

It shouldn't be a permission problem, as vramamur says, i've checked it and the manifest is set to minSdkVersion="19" and targetSdkVersion="22", asking for camera permission in the manifest is not fixing anything either...

The only thing that bothers me if that I have google vr for unity (0.9) in the same project, but different scenes... it shouldn't affect.

By the way I'm using Unity 5.4.1 (32bits) (tried with 5.4.0 64bits without luck), Vuforia 6 and Google VR 0.9

Hope somebody comes with a solution! ;)

 

I've just found a solution for my particular problem: downgrade to vuforia 5.9 has solved it (after downgrade It was giving error messages from the GoogleVR plugin but just for the manifest, change the minimum sdk to 19 again and that's it). Now it works fine in PlayMode and in my smartphone. 

 

I hope this help somebody else!

Vuforia Failed to Initialize on Android L?

September 19, 2016 - 9:23pm #4

Bizarro wrote:

Hello,

 

I'm having the same problem here, it works fine on play mode, but anytime i try to install the apk to the device it gets "Failed to initialize Vuforia" when I load the Vuforia scene.

It shouldn't be a permission problem, as vramamur says, i've checked it and the manifest is set to minSdkVersion="19" and targetSdkVersion="22", asking for camera permission in the manifest is not fixing anything either...

The only thing that bothers me if that I have google vr for unity (0.9) in the same project, but different scenes... it shouldn't affect.

By the way I'm using Unity 5.4.1 (32bits) (tried with 5.4.0 64bits without luck), Vuforia 6 and Google VR 0.9

Hope somebody comes with a solution! ;)

 

I've just found a solution for my particular problem: downgrade to vuforia 5.9 has solved it (after downgrade It was giving error messages from the GoogleVR plugin but just for the manifest, change the minimum sdk to 19 again and that's it). Now it works fine in PlayMode and in my smartphone. 

 

I hope this help somebody else!

Vuforia Failed to Initialize on Android L?

September 19, 2016 - 8:36pm #3

Hello,

 

I'm having the same problem here, it works fine on play mode, but anytime i try to install the apk to the device it gets "Failed to initialize Vuforia" when I load the Vuforia scene.

It shouldn't be a permission problem, as vramamur says, i've checked it and the manifest is set to minSdkVersion="19" and targetSdkVersion="22", asking for camera permission in the manifest is not fixing anything either...

The only thing that bothers me if that I have google vr for unity (0.9) in the same project, but different scenes... it shouldn't affect.

By the way I'm using Unity 5.4.1 (32bits) (tried with 5.4.0 64bits without luck), Vuforia 6 and Google VR 0.9

Hope somebody comes with a solution! ;)

Vuforia Failed to Initialize on Android L?

June 21, 2016 - 1:27pm #2

Hello,

Do you get the same failure when trying to run our samples?

Thanks.

Log in or register to post comments